=== debian/changelog ===
openconnect (6.00-2+deb8u2) jessie-security; urgency=high

  * Backport patch to fix CVE-2020-12823 (Closes: #960620)
  * Add myself to Uploaders
  * Update Vcs URLs in d/control

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 May 2020 19:06:47 +0100

openconnect (6.00-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-16239: Fix Buffer Overflow when a malicious server uses HTTP
    chunked encoding with crafted chunk sizes. (Closes: #940871)

 -- Roberto C. Sanchez <roberto@debian.org>  Thu, 03 Oct 2019 20:53:54 -0400

openconnect (6.00-2) unstable; urgency=medium

  * 01_fix-double-free.patch: Fix double free when PKCS#11 token does
    not include CA certs. (Closes: #781240) Thanks to Laurent Bigonville.

 -- Mike Miller <mtmiller@debian.org>  Thu, 26 Mar 2015 08:34:14 -0400

openconnect (6.00-1) unstable; urgency=medium

  * New upstream release, upload to unstable.
    - Fix regression breaking PKCS#11 token support. (Closes: #744214,
      LP: #1308054)
  * doc-remove-footer.patch: Remove, applied upstream.
  * Update libopenconnect3 shlibs and symbols files.

 -- Mike Miller <mtmiller@debian.org>  Tue, 08 Jul 2014 22:33:31 -0400

openconnect (5.99-2) experimental; urgency=medium

  * Build against GnuTLS 3.x, drop OpenSSL. (Closes: #742755)
    - Add Build-Depends on libgnutls28-dev rather than libgnutls-dev.
    - Drop Build-Depends on libssl-dev.
    - Remove OpenSSL-specific private function from libopenconnect3.symbols.
    - fix-gnutls-2.x-build.patch: Drop patch no longer needed when building
      against GnuTLS 3.x.
  * Add Depends on liboath-dev for libopenconnect-dev.
  * Add Build-Depends on libstoken-dev for RSA software token support.
  * Build openconnect-dbg and libopenconnect3-dbg debug symbol packages.
  * debian/rules: Back up and restore upstream files touched by dh-autoreconf.
  * debian/upstream/signing-key.asc: Store upstream PGP signing key in
    ASCII-armored format.
  * Run wrap-and-sort on debian/control and debian/*.install.

 -- Mike Miller <mtmiller@debian.org>  Thu, 03 Apr 2014 09:14:07 -0400

openconnect (5.99-1) experimental; urgency=medium

  * New upstream release.
  * Bump libopenconnect soname (2 -> 3) and update symbols file.
  * doc-remove-footer.patch: Refresh patch from upstream git commit.
  * fix-gnutls-2.x-build.patch: Cherry-pick from upstream git to fix building
    against GnuTLS 2.x.
  * debian/copyright: Refresh for new upstream release.

 -- Mike Miller <mtmiller@debian.org>  Thu, 06 Mar 2014 22:50:40 -0500

openconnect (5.03-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Miller <mtmiller@debian.org>  Tue, 11 Feb 2014 22:43:03 -0500
