=== debian/control ===
Source: openconnect
Section: net
Priority: optional
Maintainer: Mike Miller <mtmiller@debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               groff,
               libgnutls28-dev,
               liboath-dev,
               libp11-kit-dev,
               libproxy-dev,
               libstoken-dev,
               libxml2-dev,
               pkg-config,
               python,
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: https://salsa.debian.org/debian/openconnect
Vcs-Git: https://salsa.debian.org/debian/openconnect.git
Homepage: http://www.infradead.org/openconnect/

Package: openconnect
Architecture: any
Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
Description: open client for Cisco AnyConnect VPN
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.

Package: openconnect-dbg
Section: debug
Architecture: any
Priority: extra
Depends: openconnect (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the OpenConnect VPN client
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package contains the debugging symbols for openconnect.

Package: libopenconnect-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgnutls28-dev,
         liboath-dev,
         libopenconnect3 (= ${binary:Version}),
         libp11-kit-dev,
         libproxy-dev,
         libstoken-dev,
         libxml2-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: open client for Cisco AnyConnect VPN - development files
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package provides the header and development files.

Package: libopenconnect3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Description: open client for Cisco AnyConnect VPN - shared library
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package provides the shared library.

Package: libopenconnect3-dbg
Section: debug
Architecture: any
Priority: extra
Multi-Arch: same
Depends: libopenconnect3 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the libopenconnect3 shared library
 OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
 the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
 2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
 .
 This package contains the debugging symbols for libopenconnect3.
