## openconnect 7.06

=== debian/changelog ===
openconnect (7.06-2build2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:58 +0000

openconnect (7.06-2build1) wily; urgency=medium

  * No change rebuild for gcc transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 18:00:18 +0200

openconnect (7.06-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mike Miller <mtmiller@debian.org>  Mon, 25 May 2015 17:32:01 -0400

openconnect (7.06-1) experimental; urgency=medium

  * New upstream release. (Closes: #776235)
  * Bump libopenconnect soname (3 -> 5) and update symbols file.
  * Add Build-Depends on liblz4-dev for LZ4 compression.
  * debian/rules:
    - Update list of distributed files to back up and restore.
    - Ensure version.c gets the right upstream or Debian version string.
    - Allow build rules to work on a git snapshot tree.
  * debian/copyright: Refresh for new upstream release.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Mike Miller <mtmiller@debian.org>  Sun, 05 Apr 2015 23:12:29 -0400
