=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Mike Miller <mtmiller@debian.org>
-Uploaders: Luca Boccassi <bluca@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                groff,
                libgnutls28-dev,
+               liblz4-dev,
                liboath-dev,
                libp11-kit-dev,
                libproxy-dev,
@@ -15,9 +15,9 @@
                pkg-config,
                python,
                zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Browser: https://salsa.debian.org/debian/openconnect
-Vcs-Git: https://salsa.debian.org/debian/openconnect.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/openconnect.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/openconnect.git
 Homepage: http://www.infradead.org/openconnect/
 
 Package: openconnect
@@ -46,7 +46,7 @@
 Multi-Arch: same
 Depends: libgnutls28-dev,
          liboath-dev,
-         libopenconnect3 (= ${binary:Version}),
+         libopenconnect5 (= ${binary:Version}),
          libp11-kit-dev,
          libproxy-dev,
          libstoken-dev,
@@ -60,7 +60,7 @@
  .
  This package provides the header and development files.
 
-Package: libopenconnect3
+Package: libopenconnect5
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -74,15 +74,15 @@
  .
  This package provides the shared library.
 
-Package: libopenconnect3-dbg
+Package: libopenconnect5-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Multi-Arch: same
-Depends: libopenconnect3 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for the libopenconnect3 shared library
+Depends: libopenconnect5 (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for the libopenconnect5 shared library
  OpenConnect is a client for Cisco's AnyConnect SSL VPN, which is supported by
  the ASA5500 Series, by IOS 12.4(9)T or later on Cisco SR500, 870, 880, 1800,
  2800, 3800, 7200 Series and Cisco 7301 Routers, and probably others.
  .
- This package contains the debugging symbols for libopenconnect3.
+ This package contains the debugging symbols for libopenconnect5.
