## openconnect 7.08

=== android/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #
 # It should also be fairly simple to extend this to cross-compile for any target
 
-NDK     := /opt/android-sdk-linux_x86/android-ndk-r9b/
+NDK     := /opt/android-sdk-linux_x86/android-ndk-r10d/
 ARCH    := arm
 
 # You should be able to just 'make ARCH=x86' and it should DTRT.
@@ -43,6 +43,9 @@
 
 export PATH PKG_CONFIG_LIBDIR
 
+# PKG_CONFIG_LIBDIR gets exported to sub-makes, but not to $(shell
+PKG_CONFIG := PKG_CONFIG_LIBDIR=$(PKG_CONFIG_LIBDIR) pkg-config
+
 MAKEINSTALL=$(MAKE) INSTALL=$(TOPDIR)/install_symlink.sh
 FETCH=$(TOPDIR)/fetch.sh
 
@@ -52,14 +55,14 @@
 
 SOURCE_LIST = $(LIBXML2_SRC)/configure $(GMP_SRC)/configure \
 	$(NETTLE_SRC)/configure $(GNUTLS_SRC)/configure \
-	$(TOMCRYPT_DIR)/makefile $(STOKEN_SRC)/configure \
-	$(OATH_SRC)/configure
-
-PKG_LIST := LIBXML2 OPENSSL GMP NETTLE GNUTLS TOMCRYPT STOKEN OATH
+	$(STOKEN_SRC)/configure $(OATH_SRC)/configure \
+	$(LZ4_DIR)/Makefile
+
+PKG_LIST := LIBXML2 OPENSSL GMP NETTLE GNUTLS STOKEN OATH LZ4
 
 MIRROR_TEST_TARGETS := $(addprefix mirror-test-,$(PKG_LIST))
 
-all: openconnect
+all: openconnect run_pie
 
 #####################################################################
 #
@@ -98,7 +101,7 @@
 	cd $(LIBXML2_BUILD) && ../../$(LIBXML2_SRC)/configure $(CONFIGURE_ARGS) \
 	    --without-c14n -without-catalog --without-debug --without-docbook \
 	    --without-fexceptions --without-ftp --without-history \
-	    --without-html --without-http --without-iconv --without-iconv \
+	    --without-http --without-iconv --without-iconv \
 	    --without-iso8859x --without-legacy --without-pattern \
 	    --without-push --without-regexps --without-run-debug \
 	    --without-sax1 --without-schemas --without-schematron \
@@ -198,9 +201,9 @@
 #
 # Build nettle
 #
-NETTLE_VER := 2.7
+NETTLE_VER := 2.7.1
 NETTLE_TAR := nettle-$(NETTLE_VER).tar.gz
-NETTLE_SHA1 := e17de3678b987841e88a724b7d2f6856d97ab139
+NETTLE_SHA1 := e7477df5f66e650c4c4738ec8e01c2efdb5d1211
 NETTLE_SRC := sources/nettle-$(NETTLE_VER)
 NETTLE_BUILD := $(TRIPLET)/nettle
 
@@ -231,9 +234,9 @@
 #
 # Build GnuTLS
 #
-GNUTLS_VER := 3.2.15
+GNUTLS_VER := 3.2.21
 GNUTLS_TAR := gnutls-$(GNUTLS_VER).tar.xz
-GNUTLS_SHA1 := 31f289b48b0bf054f5f8c16d3b878615d0ae06fc
+GNUTLS_SHA1 := fa12e643ad21bcaf450d534f262c813d75843966
 GNUTLS_SRC := sources/gnutls-$(GNUTLS_VER)
 GNUTLS_BUILD := $(TRIPLET)/gnutls
 
@@ -278,47 +281,11 @@
 
 #####################################################################
 #
-# Build libtomcrypt
-#
-TOMCRYPT_VER := 1.17
-TOMCRYPT_TAR := crypt-$(TOMCRYPT_VER).tar.bz2
-TOMCRYPT_SHA1 := 9c746822c84e4276e432b64964f94d1d5ddd13ad
-TOMCRYPT_DIR := $(TRIPLET)/libtomcrypt-$(TOMCRYPT_VER)
-
-$(TOMCRYPT_TAR):
-	$(FETCH) $@ $(TOMCRYPT_SHA1)
-
-$(TOMCRYPT_DIR)/makefile: $(TOMCRYPT_TAR)
-	mkdir -p $(TRIPLET)
-	tar xfj $< -C $(TRIPLET)
-	touch $@
-
-$(TOMCRYPT_DIR)/libtomcrypt.a: $(TOOLCHAIN_BUILT) $(TOMCRYPT_DIR)/makefile
-	$(MAKE) -C $(TOMCRYPT_DIR) \
-		CC="$(TRIPLET)-gcc $(EXTRA_CFLAGS)" \
-		AR="$(TRIPLET)-ar" \
-		RANLIB="$(TRIPLET)-ranlib"
-
-$(OC_SYSROOT)/lib/libtomcrypt.a: $(TOMCRYPT_DIR)/libtomcrypt.a
-	$(MAKE) -C $(TOMCRYPT_DIR) \
-		DESTDIR=$(OC_SYSROOT) \
-		LIBPATH=/lib INCPATH=/include \
-		INSTALL_USER=$(shell id -u) \
-		INSTALL_GROUP=$(shell id -g) \
-		NODOCS=1 install
-
-TOMCRYPT_DEPS := $(OC_SYSROOT)/lib/libtomcrypt.a
-
-tomcrypt: $(TOMCRYPT_DEPS)
-
-
-#####################################################################
-#
 # Build libstoken
 #
-STOKEN_VER := 0.5
+STOKEN_VER := 0.81
 STOKEN_TAR := stoken-$(STOKEN_VER).tar.gz
-STOKEN_SHA1 := 1fcc026580a3cf28904212f34ae2cf2180586f86
+STOKEN_SHA1 := db36aec5a8bd3f5f92deaebdea08cb639b78da73
 STOKEN_SRC := sources/stoken-$(STOKEN_VER)
 STOKEN_BUILD := $(TRIPLET)/stoken
 
@@ -330,7 +297,7 @@
 	tar xfz $< -C sources
 	touch $@
 
-$(STOKEN_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(STOKEN_SRC)/configure $(TOMCRYPT_DEPS)
+$(STOKEN_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(STOKEN_SRC)/configure $(NETTLE_DEPS)
 	mkdir -p $(STOKEN_BUILD)
 	cd $(STOKEN_BUILD) && ../../$(STOKEN_SRC)/configure $(CONFIGURE_ARGS) \
 		--without-gtk
@@ -350,9 +317,9 @@
 #
 # Build liboath
 #
-OATH_VER := 2.4.0
+OATH_VER := 2.4.1
 OATH_TAR := oath-toolkit-$(OATH_VER).tar.gz
-OATH_SHA1 := 89d2cd30dd401a3f6973ec3c2b26f1cb737764a7
+OATH_SHA1 := b0ca4c5f89c12c550f7227123c2f21f45b2bf969
 OATH_SRC := sources/oath-toolkit-$(OATH_VER)
 OATH_BUILD := $(TRIPLET)/oath
 
@@ -370,16 +337,46 @@
 	cd $(OATH_BUILD) && ../../$(OATH_SRC)/configure $(CONFIGURE_ARGS) \
 		--disable-pskc --disable-pam
 
-$(OATH_BUILD)/liboath.la: $(OATH_BUILD)/Makefile
+$(OATH_BUILD)/liboath/liboath.la: $(OATH_BUILD)/Makefile
 	$(MAKE) -C $(OATH_BUILD)
 
-$(OC_SYSROOT)/lib/liboath.la: $(OATH_BUILD)/liboath.la
+$(OC_SYSROOT)/lib/liboath.la: $(OATH_BUILD)/liboath/liboath.la
 	$(MAKEINSTALL) -C $(OATH_BUILD) install
 
 OATH_DEPS := $(OC_SYSROOT)/lib/liboath.la
 
 oath: $(OATH_DEPS)
 
+
+#####################################################################
+#
+# Build liblz4
+#
+LZ4_VER := r127
+LZ4_TAR := lz4-$(LZ4_VER).tar.gz
+LZ4_SHA1 := 1aa7d4bb62eb79f88b33f86f9890dc9f96797af5
+LZ4_DIR := $(TRIPLET)/lz4-$(LZ4_VER)
+
+$(LZ4_TAR):
+	$(FETCH) $@ $(LZ4_SHA1)
+
+$(LZ4_DIR)/Makefile: $(LZ4_TAR)
+	mkdir -p $(TRIPLET)
+	tar xzf $< -C $(TRIPLET)
+	touch $@
+
+$(OC_SYSROOT)/lib/liblz4.a: $(TOOLCHAIN_BUILT) $(LZ4_DIR)/Makefile
+	$(MAKE) -C $(LZ4_DIR)/lib \
+		CC="$(TRIPLET)-gcc $(EXTRA_CFLAGS)" \
+		AR="$(TRIPLET)-ar" \
+		LIBDIR=$(OC_SYSROOT)/lib \
+		INCLUDEDIR=$(OC_SYSROOT)/include \
+		install
+	rm -f $(OC_SYSROOT)/lib/liblz4.so*
+
+LZ4_DEPS := $(OC_SYSROOT)/lib/liblz4.a
+
+lz4: $(LZ4_DEPS)
 
 #####################################################################
 #
@@ -391,10 +388,13 @@
 $(OPENCONNECT_SRC)/configure:
 	cd $(OPENCONNECT_SRC) && ./autogen.sh
 
-$(OPENCONNECT_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_DEPS) $(LIBXML_DEPS) $(STOKEN_DEPS) $(OATH_DEPS) $(OPENCONNECT_SRC)/configure
+$(OPENCONNECT_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_DEPS) $(LIBXML_DEPS) \
+		$(STOKEN_DEPS) $(OATH_DEPS) $(LZ4_DEPS) $(OPENCONNECT_SRC)/configure
 	mkdir -p $(OPENCONNECT_BUILD)
 	cd $(OPENCONNECT_BUILD) && ../../../configure \
 	--host=$(TRIPLET) --prefix=/ \
-	CFLAGS="$(EXTRA_CFLAGS)" \
-	LDFLAGS="$(EXTRA_LDFLAGS)" \
-	GNUTLS_LIBS="$(shell PKG_CONFIG_LIBDIR=$(OC_SYSROOT)/lib/pkgconfig pkg-config --static --libs gnutls)" \
+	CFLAGS="$(EXTRA_CFLAGS) -fvisibility=default -fPIE" \
+	LDFLAGS="$(EXTRA_LDFLAGS) -rdynamic -pie" \
+	GNUTLS_LIBS="$(shell $(PKG_CONFIG) --static --libs gnutls)" \
+	LIBSTOKEN_LIBS="$(shell $(PKG_CONFIG) --static --libs stoken)" \
+	--enable-shared --with-vpnc-script=/etc/vpnc/vpnc-script \
