=== debian/changelog ===
openconnect (7.08-3ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow vulnerability
    - d/p/Fix-buffer-overflow-with-chunked-HTTP-handling-CVE-2.patch: Buffer
      overflow with chunked HTTP handling.
    - CVE-2019-16239
  * SECURITY UPDATE: Fix crash when HTTP has timeout
    - d/p/Close-HTTPS-connection-on-failure-returns-from-proce.patch: HTTPS
      connection on failure returns from process_http_response().

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 29 Sep 2020 19:05:41 +0000

openconnect (7.08-3ubuntu0.18.04.1) bionic; urgency=medium

  * debian/patches/git-juniper-realm.patch:
    - Fix issue causing front-ends/GUIs to be insensitive to changes 
      in the Juniper realm dropdown (lp: #1764047)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Mar 2019 00:23:01 +0100

openconnect (7.08-3) unstable; urgency=medium

  * d/p/add-logout-juniper.patch: New patch, add logout to Juniper VPN.
    Thanks to Daniel Lenski (LP: #1655279)

 -- Mike Miller <mtmiller@debian.org>  Sun, 25 Feb 2018 15:00:56 -0800

openconnect (7.08-2) unstable; urgency=medium

  * d/p/fix-ftbfs-ipv6-tclass-undeclared.patch: New patch, fix FTBFS on GNU/Hurd
  * d/control, d/rules: Migrate to automatic dbgsym packages
  * Bump debhelper compatibility level to 11
  * d/copyright: Bump copyright to 2018 for debian/*
  * d/control:
    - Mention Pulse Connect and Juniper in Description (Closes: #881338)
    - Update Vcs-* fields for migration to salsa.d.o
    - Bump Standards-Version to 4.1.3, no changes needed

 -- Mike Miller <mtmiller@debian.org>  Fri, 23 Feb 2018 15:28:37 -0800

openconnect (7.08-1) unstable; urgency=medium

  * New upstream version 7.08
    - Fix MTU detection (Closes: #847135)
  * d/libopenconnect5.{shlibs,symbols}: Update for new release
  * d/p/juniper-content-length.patch: Drop, applied upstream
  * d/p/fix-tests-shell-syntax.patch: Fix test suite shell bashisms
  * d/p/softhsm2-module-workaround.patch: Hard-code Debian location of
    libsofthsm2.so
  * d/control:
    - Add Build-Depends: libsocket-wrapper, libuid-wrapper, ocserv, openssl, and
      softhsm2 for test suite
    - Add Build-Depends: libpcsclite-dev to enable Yubikey support
      (LP: #1649227)
    - Add Build-Depends: dpkg-dev (>= 1.17.14) for build profiles support
    - Drop obsolete Build-Depends: liboath-dev
    - Reorder fields according to "cme fix dpkg-control"
  * Bump debhelper compatibility level to 10
  * Drop explicit dependency on dh-autoreconf and disabling silent rules, now
    enabled by default

 -- Mike Miller <mtmiller@debian.org>  Sat, 24 Dec 2016 10:50:15 -0800

openconnect (7.07-2) unstable; urgency=medium

  * d/rules: Build with --as-needed to remove indirect lib dependencies
  * d/control: Add Depends: liblz4-dev for libopenconnect-dev (Closes: 846706)
  * d/control: Use canonical repository URL for Vcs-Browser
  * d/copyright: Refresh copyright information
  * d/copyright: Update Format using "cme fix dpkg-copyright"

 -- Mike Miller <mtmiller@debian.org>  Thu, 08 Dec 2016 15:05:19 -0800

openconnect (7.07-1) unstable; urgency=medium

  * New upstream release.
    - Fix spelling of "sí" in Spanish translation. (Closes: #792073)
    - Fix handling of KMP message with --juniper. (Closes: #833466)
  * Add Build-Depends on libkrb5-dev, enables GSSAPI support. (Closes: #830905)
  * d/p/juniper-content-length.patch: Add Content-Length header to mimic
    official pulse client. (Closes: #845184)
  * Update libopenconnect5 shlibs and symbols files.
  * debian/rules: Update list of distributed files to back up and restore.
  * Use https URI for Vcs-* control fields.
  * Bump Standards-Version to 3.9.8. No changes needed.

 -- Mike Miller <mtmiller@debian.org>  Fri, 25 Nov 2016 12:22:01 -0800
