=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,21 @@
 #!/usr/bin/make -f
 
-AUTORECONF_SOURCES = aclocal.m4 config.guess config.sub configure ltmain.sh \
-		     m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 \
+AUTORECONF_SOURCES = aclocal.m4 config.guess config.sub configure install-sh \
+		     ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 \
 		     m4/ltversion.m4 m4/lt~obsolete.m4 missing Makefile.in \
-		     po/Makefile.in www/Makefile.in \
+		     po/Makefile.in tests/Makefile.in www/Makefile.in \
 		     www/images/Makefile.in www/inc/Makefile.in \
 		     www/styles/Makefile.in
 VERSION_UPSTREAM := $(shell sed -ne 's|.*AC_INIT[^,]*, *\([0-9.]\+\).*|\1|p' configure.ac)
 VERSION_DEBIAN := $(shell dpkg-parsechangelog | sed -ne 's|^Version: *\(.*\)$$|\1|p')
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export V = 1
+
+# Link with --as-needed to eliminate unused or indirect library dependencies
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf --list-missing
+	dh $@ --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -38,14 +41,14 @@
 	dh_compress -Xhtml/changelog.html
 
 override_dh_strip:
-	dh_strip -plibopenconnect5 --dbg-package=libopenconnect5-dbg
-	dh_strip -popenconnect --dbg-package=openconnect-dbg
+	dh_strip -plibopenconnect5 --dbgsym-migration='libopenconnect5-dbg (<< 7.08-2~)'
+	dh_strip -popenconnect --dbgsym-migration='openconnect-dbg (<< 7.08-2~)'
 
 override_dh_autoreconf:
 	for f in $(AUTORECONF_SOURCES); do \
 		[ ! -f $$f ] || [ -f $$f.debian-backup ] || mv $$f $$f.debian-backup; \
 	done
-	dh_autoreconf
+	dh_autoreconf --as-needed
 
 override_dh_autoreconf_clean:
 	dh_autoreconf_clean
