## openconnect 8.02

=== debian/changelog ===
openconnect (8.02-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Close HTTPS connection on failure returns from process_http_response()
  * Fix buffer overflow with chunked HTTP handling (CVE-2019-16239)
    (Closes: #940871)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Jan 2020 00:05:50 +0100

openconnect (8.02-1) unstable; urgency=medium

  [ Mike Miller ]
  * New upstream version 8.02
  * d/p/fix-ftbfs-ipv6-tclass-undeclared.patch: Drop patch, applied upstream
  * d/u/signing-key.asc: Use export-minimal to compact upstream release
    signing key
  * d/watch: Bump format version to 4
  * Add autopkgtest to run the upstream test suite

  [ Daniel Lenski ]
  * Update package descriptions to reflect multi-protocol support

 -- Mike Miller <mtmiller@debian.org>  Fri, 25 Jan 2019 23:11:38 -0800

openconnect (8.01-1) unstable; urgency=medium

  * New upstream version 8.01 (Closes: #918529)
  * Drop patches applied upstream or no longer needed
    - d/p/add-logout-juniper.patch, applied upstream
    - d/p/fix-tests-shell-syntax.patch, applied upstream
    - d/p/softhsm2-module-workaround.patch, no longer needed
  * d/libopenconnect5.{shlibs,symbols}: Update for new release
  * d/libopenconnect5.symbols: Add Build-Depends-Package field
  * d/openconnect.install: Include usr/libexec/openconnect shell scripts
  * d/copyright: Refresh copyright information for new upstream release
  * Add Build-Depends on libgcrypt20-dev, libtasn1-6-dev, and libtss2-dev
  * Update Build-Depends on ocserv (>= 0.12.1-2) to fix failing unit tests
    (Closes: #917715)
  * Add Build-Depends on locales-all <!nocheck> for new test
  * Add Build-Depends on debhelper-compat, delete d/compat
  * Bump debhelper compatibility level to 12
  * d/rules:
    - Build with --disable-dsa-tests to skip DSA keys in unit tests
    - Drop unsupported dh --list-missing option
    - Include /usr/share/dpkg/pkg-info.mk for package version
    - Drop cruft trying to save and restore generated source files
    - Drop obsolete configure options --disable-static and --with-system-cafile
  * d/clean: Delete autogenerated version.c on clean
  * d/s/options: Ignore changes to tokens as a side effect of running tests
  * Bump Standards-Version to 4.3.0, no changes needed

 -- Mike Miller <mtmiller@debian.org>  Thu, 10 Jan 2019 11:54:02 -0800
