## openconnect 8.02.1

=== debian/changelog ===
openconnect (8.02.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 4b133f2b3a9642f5bb89d3d1420b351dbaebcfba']

 -- shuttle <shuttle@deepin.com>  Wed, 29 Jul 2020 19:46:55 +0000
